Subject: Re: [PATCH 3/7] Documentation: git-init: template directory: reword

From: Linus Arver <[email-masked]>
Date: Fri, 8 Aug 2014 09:36:54 -0700

On Wed, Aug 06, 2014 at 10:21:33AM -0700, Junio C Hamano wrote:
> Linus Arver <[email-masked]> writes:
> 
> > No, the unindenting/removal of blank lines is a non-grammar change and
> > is not necessary, as it doesn't have any effect on the actual output
> > (html/txt/manpage).
> >
> > I can either keep the same coding style with the rewording, or chop this
> > into two commits, one for the rewording and another for reformatting.
> > Which one do you suggest?
> 
> If I were doing this change, I wouldn't touch the formatting,
> because I did not find that the reformatted version would be any
> easier to read or maintain compared to the original.
> 
> But I suspect that you must have thought the reformatting was a good
> thing to do for a reason, and I suspected I might have been missing
> something obvious to you, and that was why I asked.  If there is a
> good reason to reformat, then lets hear it in the commit log message
> of one of the two patches.  Otherwise we can drop the reformatting
> part.

And well, considering that the rewording makes the separate items into a
single sentence, I thought it would help readability to delete all the
whitespace.

In retrospect, I don't think this is a good enough reason to reformat.
It was more of a personal writing style judgment call. I am dropping the
reformatting part.